You are here: Home > API Reference > AOSP > Enrollment Tokens > List available AOSP DPC build tags

List available AOSP DPC build tags

Required Permission: mdm.aosp.enrollmentToken.list

Retrieve custom DPC build tags that can be used when creating AOSP enrollment tokens. These are build tags from the configured AOSP DPC application, not device tags or enrollment token tags.

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/enrollment-tokens/dpc-build-tags
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/enrollment-tokens/dpc-build-tags" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/enrollment-tokens/dpc-build-tags", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/enrollment-tokens/dpc-build-tags",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
Available custom DPC build tags from processed AOSP DPC builds that have a downloadable APK artifact and Android SHA-256 signature metadata.
value string required
Build tag that can be used as dpcBuildTag when creating an AOSP enrollment token. This is not a device tag or enrollment token tag.
≤ 256 characters
{
    "status": true,
    "data": {
        "items": [
            {
                "value": "string"
            }
        ]
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}
Was this page helpful?